name: field.blocks.threedmodel.name
icon: image
fields:
  placeholder:
    
    extends: fields/globalimage
    label:
      de: Platzhalter (Preview-Bild)
      en: Placeholder (Preview image)
    # type: files
    # query: site.find('main-library').files.filterBy('template', 'image')
    # multiple: false
    # uploads:
    #   parent: site.find('main-library')
    #   template: image

  threed_model:
    type: files
    label:
      de: 3D Modell
      en: 3D model
    query: site.find('main-library').files.filterBy('template', 'docs')
    multiple: false
    uploads:
      parent: site.find('main-library')
      template: docs

  threed_model_light:
    type: range
    label:
      de: Belichtung
      en: Exposure
    default: 1
    min: 0
    max: 2
    help:
      de: Die Belichtung des Modells kann optional hier bearbeitet werden.
      en: The exposure of the model can be adjusted here optionally.
  ratio:
    label: field.blocks.image.ratio
    type: select
    default: 16/9
    width: 1/2
    options:
      1/1: "1:1"
      16/9: "16:9"
      9/16: "9:16"
      21/9: "21:9"
      9/21: "9:21"
      4/3: "4:3"
      3/4: "3:4"
